# CompWithdraw

### Description

Withdraw a token from Compound.

> **Notes**
>
> Withdraws a underlying token amount from compound

### Action ID

`0x2e897428`

### SDK Action

```ts
const compoundWithdrawAction = new dfs.actions.compound.CompoundWithdrawAction(
    cTokenAddr,
    amount,
    to
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param cTokenAddr Address of the cToken token to withdraw
    /// @param amount Amount of tokens to be withdrawn
    /// @param to Address that will receive the withdrawn tokens
    struct Params {
        address cTokenAddr;
        uint256 amount;
        address to;
    }
```

### Return Value

```solidity
return bytes32(withdrawAmount);
```

### Events and Logs

```solidity
emit ActionEvent("CompWithdraw", logData);
logger.logActionDirectEvent("CompWithdraw", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/compound/compwithdraw.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
